ThreatFactor NSIA - Feature #81

Optimize HTTP Client
04/09/2010 12:05 AM - Luke Murphey

Status: New Start date: 04/09/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Scan Engine Estimated time: 0.00 hour
Target version:

Description
Need to review the configure of the HTTP client to determine if it appropriate.

Additional Information: http://jakarta.apache.org/httpcomponents/httpclient-3.x/preference-api.html

History

#1 - 04/09/2010 12:05 AM - Luke Murphey

The following parameters have the most relevance:

http.protocol.warn-extra-input (generates a log warning when more bytes are returned than the content-length)
http.protocol.status-line-garbage-limit (maximum number of ignorable lines before we expect a HTTP response's status code)
http.method.retry-handler (changes how many retries are performed after a recoverable HTTP exception occurs)
http.socket.timeout (determines how long a timeout should be thrown)

http.useragent

#2 - 11/02/2010 01:20 PM - Luke Murphey

- Category set to Scan Engine
